import { useRequest } from "@/use/useHttp"

/**
 *  公司获取
 * @returns 
 */
 export const companyDetailApi = () => {
    return useRequest({
        url: `/v1/mall/company/info`,
        method: "get",
    })
}

/**
 *  公司保存
 * @returns 
 */
 export const companyUpdateApi = () => {
  return useRequest({
      url: `/v1/mall/company/info`,
      method: "put",
  })
}

/**
 *  地址详情
 * @returns 
 */
 export const addressDetailApi = () => {
  return useRequest({
      url: `/v1/mall/address`,
      method: "get",
  })
}

/**
 *  地址编辑
 * @returns 
 */
 export const addressEditApi = () => {
  return useRequest({
      url: `/v1/mall/address`,
      method: "put",
  })
}

/**
 *  地址删除
 * @returns 
 */
 export const addressDeleteApi = () => {
  return useRequest({
      url: `/v1/mall/address`,
      method: "delete",
  })
}
